# loadJsonp

#### loadJsonp(url, options) → Promise.<Object>
Core/loadJsonp.js 45

  Requests a resource using JSONP.

  Name | Type | Description
  --- | --- | ---
  `url` | String | The URL to request.

  `options`

  Object

  optional Object with the following properties:

  Name | Type | Default | Description
  --- | --- | --- | ---
  `parameters` | Object |  | optional Any extra query parameters to append to the URL.
  `callbackParameterName` | String | `'callback'` | optional The callback parameter name that the server expects.
  `proxy` | Proxy |  | optional A proxy to use for the request. This object is expected to have a getURL function which returns the proxied URL, if needed.

  ##### Returns:

  a promise that will resolve to the requested data when loaded.

  ##### Example:

      // load a data asynchronously
      Cesium.loadJsonp('some/webservice').then(function(data) {
          // use the loaded data
      }).otherwise(function(error) {
          // an error occurred
      });

  ##### See:

  - CommonJS Promises/A